be.ehealth.businessconnector.consultrn.service

## Interface ConsultrnService

- All Known Implementing Classes:
    ConsultrnServiceImpl

      public interface ConsultrnService

  interface with the methods of the consultrn webservice.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `RegisterPersonResponse` | `registerPerson(SAMLToken token, RegisterPersonRequest request)`
    `SearchBySSINReply` | `search(SAMLToken token, SearchBySSINRequest request)`
    `SearchPhoneticReply` | `search(SAMLToken token, SearchPhoneticRequest request)`

- - ### Method Detail

    - #### search

          SearchBySSINReply search(SAMLToken token,
                                   SearchBySSINRequest request)
                            throws TechnicalConnectorException,
                                   ConsultrnIdentifyPersonException

      Throws:
        `TechnicalConnectorException`
        `ConsultrnIdentifyPersonException`

    - #### search

          SearchPhoneticReply search(SAMLToken token,
                                     SearchPhoneticRequest request)
                              throws TechnicalConnectorException,
                                     ConsultrnPhoneticSearchException

      Throws:
        `TechnicalConnectorException`
        `ConsultrnPhoneticSearchException`

    - #### registerPerson

          RegisterPersonResponse registerPerson(SAMLToken token,
                                                RegisterPersonRequest request)
                                         throws TechnicalConnectorException,
                                                ConsultrnRegisterPersonException,
                                                ConsultrnRegisterExistingPersonException

      Throws:
        `TechnicalConnectorException`
        `ConsultrnRegisterPersonException`
        `ConsultrnRegisterExistingPersonException`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.